#!/usr/bin/env python2

# Copyright 2011 Jason Gerecke
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
# limitations under the License.

import sys
import os

import app.pony.loader    as loader
import app.engine.sprite  as sprite


def main(argv):
	root_dir = argv[1] if len(argv) > 1 else os.path.abspath(".")

	prefer = "gtk"
	if prefer == "wx":
		import app.engine.wxpython
		factory = loader.Factory(app.engine.wxpython, root_dir)
		app.engine.wxpython.main(factory)
	elif prefer == "gtk":
		import app.engine.pygtk
		factory = loader.Factory(app.engine.pygtk, root_dir)
		app.engine.pygtk.main(factory)
	else:
		raise NotImplementedError("Cannot use '" + prefer + "' for the UI.")


if __name__ == "__main__":
	main(sys.argv)
